shinyUI(fluidPage(

  titlePanel("Calculate a Correlation Coefficient and the Least Squares Regression Line"),

  sidebarLayout(
      sidebarPanel(
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),                                  
          radioButtons("whichgraph", "Type of Graphics",
             c("ggplot2" = "ggplot2","base" = "base"),inline=TRUE),
           uiOutput("checkGraph"),
          selectInput("which","Choose type of data",
                  choices=c("Type I","Type II","Type III","Type IV")),
          numericInput("n","Sample Size n", min=5,max=1000,value=30), 
          selectInput("fit","With Least Squares Fit?",
                 choices=c("No","Yes")),       
          uiOutput("appinfo"),width=3
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Dataset",uiOutput("datatable")),
          tabPanel("Scatterplot",plotOutput("plot"),width="450px",height="450px"),          
          tabPanel("Calculations",
              uiOutput("text2"),
              uiOutput("text1"),
              uiOutput("text3")
          )
      )
    )
  ),
    
  uiOutput("explainText")    
))

